DELETE
/{scope}/providers/Microsoft.Authorization/policyassignments/{policyAssignmentName}
https://azure.com/{scope}/providers/Microsoft.Authorization/policyassignments/{policyAssignmentName}Deletes a policy assignment.
Access Token Required: API Key
Path Parameters
scopestringrequired
The scope of the policy assignment.
policyAssignmentNamestringrequired
The name of the policy assignment to delete.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request DELETE \2 --url 'https://azure.com/{scope}/providers/Microsoft.Authorization/policyassignments/{policyAssignmentName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}